﻿using System;
using System.Collections.Generic;
using System.Text;
using SecureClientApp.SecureService;
using System.Security.Cryptography.X509Certificates;

namespace SecureClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("MSMQ Security Test Service......");

			using (SecureServiceClient proxy = new SecureServiceClient()) {
				proxy.ClientCredentials.ServiceCertificate.SetDefaultCertificate(
					"CN=localhost", StoreLocation.LocalMachine, StoreName.My);

				proxy.ClientCredentials.UserName.UserName = "TempUser";
				proxy.ClientCredentials.UserName.Password = "1234";

				proxy.SecureMethod("Msmq Security Test");
			}
		}
	}
}
