﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography.X509Certificates;
using SecureClientApp.SecureService;

namespace SecureClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Username/Password Authentication Test Client......");

			using (SecureServiceClient proxy = new SecureServiceClient()) {
				proxy.ClientCredentials.UserName.UserName = "TempUser";
				proxy.ClientCredentials.UserName.Password = "1234";

				proxy.SecureMethod("Hello Username/Password Authentication...");
				proxy.SecureMethod("Another Hello...");
			}
		}
	}
}
