﻿using System;
using System.ServiceModel;

namespace HelloWorldService
{
	// Hello World 서비스 Contract 선언
	[ServiceContract(Namespace = "http://www.simpleisbest.net/wcf/helloworld")]
	public interface IHelloWorld
	{
		[OperationContract]
		string SayHello();
	}

	// Hello World 서비스 타입 구현
	public class HelloWorldWCFService : IHelloWorld
	{
		public string SayHello()
		{
			return "Hello WCF World !";
		}
	}
}
