﻿using System;

using SerializableDataContractClient.BookStore;

namespace SerializableDataContractClient
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Serializable Data Contract Client Example ......");

			using (BookStoreClient proxy = new BookStoreClient()) {
				BookInfo info = proxy.GetBookInfo("000-005");
				Console.WriteLine("Book Information:\n  Title={0}\n  Author={1}\n  ISBN={2}\n  Price={3:#,##0} Won",
					info.Title, info.Author, info.Isbn, info.Price);
				info = proxy.GetBookInfo("000-007");
			}
		}
	}
}
