﻿using System;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace WcfService
{
	[ServiceContract(Namespace = "http://noname.com/testservice")]
	class TestService
	{
		[OperationContract(Action="http://noname.com/testservice/SayHello")]
		string SayHello()
		{
			return "Hello Web Service World";
		}
	}

	class ServiceApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("WCF Service Sample......");

			ServiceHost host = new ServiceHost(typeof(TestService),
				new Uri("http://localhost:8000/wcf/example/testservice.asmx"));
			BasicHttpBinding binding = new BasicHttpBinding();

			host.AddServiceEndpoint(typeof(TestService), binding,"");
			host.Open();
			Console.WriteLine("Press Any Key to Stop Service...");
			Console.ReadKey(true);
			host.Close();
		}
	}
}
