﻿using System;
using TestClientApp.TestService;

namespace TestClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("WCF Logging Sample Client ......");

			// WSHttpBinding을 이용한 호출
			using (TestContractClient proxy = new TestContractClient("WSHttpBinding_ITestContract")) {
				Console.WriteLine("Invoke TestMethod() using WSHttpBinding...");
				proxy.TestMethod();
			}

			// NetTcpBinding을 이용한 호출
			using (TestContractClient proxy = new TestContractClient("NetTcpBinding_ITestContract")) {
				Console.WriteLine("Invoke TestMethod() using NetTcpBinding...");
				proxy.TestMethod();
			}
		}
	}
}
