﻿using System;
using System.Collections.Generic;
using System.Text;
using TestClient.LogService;
using System.Threading;

namespace TestClient
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("WinForm Host Test Client App......");

			DoConcurrentCall();

			//Console.WriteLine("Enter message to log. (enter END to stop) :");
			//using (LogClient proxy = new LogClient()) {
			//    string message = Console.ReadLine();
			//    while (message != "END") {
			//        proxy.LogMessage(message);
			//        message = Console.ReadLine();
			//    }
			//}
		}

		static void DoConcurrentCall()
		{
			ThreadStart func = delegate() {
				using (LogClient proxy = new LogClient()) {
					proxy.LogMessage("Concurrent Log Message " + Thread.CurrentThread.ManagedThreadId);
				}
			};
			Thread[] threads = new Thread[5];
			for(int i=0; i < threads.Length; i++) {
				threads[i] = new Thread(func);
				threads[i].Start();
			}

			foreach (Thread thread in threads) {
				thread.Join();
			}
		}
	}
}
